<?php

class DatabaseSeeder extends Seeder {

	public function run()
	{
		Eloquent::unguard();

		$this->call('UserTableSeeder');
		$this->command->info('User table seeded!');

		$this->call('ProfileTableSeeder');
		$this->command->info('Profile table seeded!');

		$this->call('AddressTableSeeder');
		$this->command->info('Address table seeded!');

		$this->call('CountryTableSeeder');
		$this->command->info('Country table seeded!');

		$this->call('CategoryTableSeeder');
		$this->command->info('Category table seeded!');
	}
}