<?php

namespace App\Models;

class Invitation extends Eloquent {

	protected $table = 'invitations';
	public $timestamps = true;

	public function owner()
	{
		return $this->belongsTo('App\Models\User', 'id');
	}

	public function applies()
	{
		return $this->hasMany('App\Models\Apply', 'invitation_id');
	}

	public function comments()
	{
		return $this->hasMany('App\Models\Comment');
	}

}